curl --request POST \
--url https://app.alphapo.net/api/v2/exchange/calculate \
--header 'Content-Type: application/json' \
--header 'X-processing-key: <api-key>' \
--header 'X-processing-signature: <api-key>' \
--data '
{
"sender_currency": "BTC",
"receiver_currency": "EUR",
"sender_amount": 0.03
}
'{
"data": {
"sender_currency": "EUR",
"sender_amount": "25.00000000",
"receiver_currency": "BTC",
"receiver_amount": "0.00123001",
"fee_currency": "CPD",
"fee_amount": "0.17266485",
"price": "0.00004920",
"ts_fixed": 1665008630,
"ts_release": 1665008690,
"fix_period": 60
}
}Get info about exchange rates. This endpoint has limitation up to 30 requests per minute from one IP address. In case this amount is exceeded a new successful response can only be obtained after a minute-long break.
curl --request POST \
--url https://app.alphapo.net/api/v2/exchange/calculate \
--header 'Content-Type: application/json' \
--header 'X-processing-key: <api-key>' \
--header 'X-processing-signature: <api-key>' \
--data '
{
"sender_currency": "BTC",
"receiver_currency": "EUR",
"sender_amount": 0.03
}
'{
"data": {
"sender_currency": "EUR",
"sender_amount": "25.00000000",
"receiver_currency": "BTC",
"receiver_amount": "0.00123001",
"fee_currency": "CPD",
"fee_amount": "0.17266485",
"price": "0.00004920",
"ts_fixed": 1665008630,
"ts_release": 1665008690,
"fix_period": 60
}
}Your API key.
The request body, signed with HMAC-SHA512 with your secret key. You can find the secret key in your account.
Currency to exchange from. For a list of all available currencies, see Supported currencies.
Currency to exchange to. For a list of all available currencies, see Supported currencies.
Amount you want to exchange. You must include either this parameter or receiver_amount.
x >= 0Amount you want to exchange. You must include either this parameter or receiver_amount.
x >= 0OK
Show child attributes
Was this page helpful?